<?php

  if (!$action) {
    $board_template = $board_config->template;
    $board_en_registering = $board_config->en_registering;
    $board_guest_viewing = $board_config->en_guest_viewing;
    $board_title = $board_config->title;
    $board_descr = $board_config->descr;
    $board_use_cap = $board_config->use_cap;
    $board_en_seo = $board_config->seo;
    $board_reserved_users = $board_config->reserved_users;
    $board_lang = $board_config->lang;
    $board_topics_per_page = $board_config->topics_per_page;
    $board_posts_per_page = $board_config->posts_per_page;
    $board_users_per_page = $board_config->users_per_page;
    $board_results_per_page = $board_config->results_per_page;
    $board_avatar = $board_config->en_avatar;
    
    $board_en_attachments = $board_config->en_attachments;
    $board_max_attachment_size = $board_config->max_attachment_size;      
    
    $board_activation = $board_config->activation; 
    
    $board_max_img_width = $board_config->max_img_width;
    $board_avatar_height = $board_config->avatar_height;
    $board_avatar_width = $board_config->avatar_width;
    
    $board_mod_minutes = $board_config->mod_minutes;
    $board_en_polls = $board_config->en_polls;
    $board_max_poll_options = $board_config->max_poll_options;
    $board_en_pms = $board_config->en_pms;
    $board_max_pms = $board_config->max_pms;
    $board_default_avatar = $board_config->default_avatar;
    $board_en_gravatar = $board_config->en_gravatar;
    
    $board_en_user_mess = $board_config->en_user_mess;
    $board_en_board_notification = $board_config->en_board_notification;
    $board_email_board_admin = $board_config->email_board_admin;
    $board_email_board_mailfrom = $board_config->email_board_mailfrom;
    
    $board_date_format = $board_config->date_format;
    $board_date_time_format = $board_config->date_time_format;
    $board_date_md_format = $board_config->date_md_format;
    $board_default_timezone = $board_config->default_timezone;
    
    $board_main_script = ($board_config->main_script ? $board_config->main_script : $main_script);
    $board_main_path = ($board_config->main_path ? $board_config->main_path : $main_path);

    $board_recaptcha_pubkey = $board_config->recaptcha_pubkey;
    $board_recaptcha_privkey = $board_config->recaptcha_privkey;
    $board_recaptcha_style = $board_config->recaptcha_style;

    $board_socialrow = $board_config->socialrow;
    $board_en_likes = $board_config->en_likes;
    $board_en_dislikes = $board_config->en_dislikes;
    
  }
  
  $sbb_add2title .= " - " . he(lang("tab_adminboard"));
  
  $LINK_FORUMS = ($board_config->seo ? "$main_path/sbb-admin-forums.html" : "$main_script?todo=adminforums");
  $LINK_BOARD = ($board_config->seo ? "$main_path/sbb-admin.html" : "$main_script?todo=admin");
  $LINK_USERS = ($board_config->seo ? "$main_path/sbb-admin-users.html" : "$main_script?todo=adminusers");
  $LINK_USERRANKS = ($board_config->seo ? "$main_path/sbb-admin-userranks.html" : "$main_script?todo=adminuserranks");
  
  //template directories
  if (is_dir("$rel_path/templates")) {
    $temp_handle = opendir("$rel_path/templates");
    while (false !== ($file = readdir($temp_handle))) {
      if ($file != "." && $file != ".." && is_dir("$rel_path/templates/$file")) {
          $template_options .= "<option value='$file'>$file</option>\n";
      }
    }
    closedir($temp_handle);
  }
  $template_options = str_replace("value='$board_template'","value='$board_template' selected='selected'",$template_options);
  
  //language directories
  if (is_dir("$rel_path/lang")) {
    $temp_handle = opendir("$rel_path/lang");
    while (false !== ($file = readdir($temp_handle))) {
      if ($file != "." && $file != ".." && is_dir("$rel_path/lang/$file")) {
          $lang_options .= "<option value='$file'>$file</option>\n";
      }
    }
    closedir($temp_handle);
  }
  $lang_options = str_replace("value='$board_lang'","value='$board_lang' selected='selected'",$lang_options);
  
  $use_cap_options = "<option value='0'>" . lang("captcha_dis") . "</option>
    <option value='1'>" . lang("captcha_cap1") . "</option>
    <option value='2'>" . lang("captcha_cap2") . "</option>
    <option value='3'>" . lang("captcha_cap3") . "</option>";
  $use_cap_options = str_replace("value='$board_use_cap'","value='$board_use_cap' selected='selected'",$use_cap_options);

  $recaptcha_style_options = "<option value='red'>red (" . lang("default") . ")</option>
    <option value='white'>white</option>
    <option value='blackglass'>blackglass</option>
    <option value='clean'>clean</option>";
  $recaptcha_style_options = str_replace("value='$board_recaptcha_style'","value='$board_recaptcha_style' selected='selected'",$recaptcha_style_options);

  include("$www_dir/includes/tz.php");
  $timezone_options = "<option>" . implode("</option>\n<option>",(array_keys($tz_array))) . "</option>";
  $timezone_options = str_replace(">$board_default_timezone</"," selected='selected'>$board_default_timezone</",$timezone_options);
  
  $activation_options = "<option value='0'>" . lang("no_activation") . "</option>
    <option value='1'>" . lang("user_activation") . "</option>
    <option value='2'>" . lang("admin_activation") . "</option>";
  $activation_options = str_replace("value='$board_activation'","value='$board_activation' selected='selected'",$activation_options);
  
  $TABLE_HEADLINE = lang("tab_adminboard");
  $FORUMS_HEADLINE = lang("tab_adminforums");
  $USERS_HEADLINE = lang("tab_adminusers");
  $USERRANKS_HEADLINE = lang("tab_adminuserranks");
  
  $DESCR_SUBMIT = lang("save_settings");
  
  $GENERAL_HEADLINE = lang("general_settings");
  $IMAGE_HEADLINE = lang("imagesettings");
  $MESSAGING_HEADLINE = lang("notifyoptions");
  $TIME_HEADLINE = lang("timesettings");
  
  //Template Variables
  $DESCR_TEMPLATE = lang("descr_template");
  $DESCR_REGISTERING = lang("descr_reg");
  $DESCR_USER_MESS = lang("descr_usermess");
  $DESCR_EN_USER_MESS = lang("descr_enusermess");
  $DESCR_BOARD_NOTIIFICATION = lang("descr_boardnotific");
  $DESCR_EN_BOARD_NOTIIFICATION = lang("descr_enboardnotofic");
  $DESCR_GUEST_VIEWING = lang("descr_guestview");
  $DESCR_AVATARS = lang("descr_avatars");
  $DESCR_SEO = lang("descr_seo");
  $DESCR_SEO_INFO = lang("descr_seoinfo");
  $DESCR_MAX_IMG_WIDTH = lang("descr_maximgwidth");
  $DESCR_MAX_IMG_WIDTH_INFO = lang("descr_maximgwidthinfo");
  $DESCR_USE_CAP = lang("descr_usecap");
  $DESCR_TOPICS_PER_PAGE = lang("descr_topicsperpage");
  $DESCR_POSTS_PER_PAGE = lang("descr_postsperpage");
  $DESCR_USERS_PER_PAGE = lang("descr_usersperpage");
  $DESCR_RESULTS_PER_PAGE = lang("descr_resultsperpage");
  $DESCR_PER_PAGE_INFO = lang("descr_perpageinfo");
  $DESCR_LANG = lang("descr_lang");
  $DESCR_AVATAR_DIMENSIONS = lang("descr_avatardimensions");
  $DESCR_DATE_FORMAT = lang("descr_dateformat");
  $DESCR_DATE_MD_FORMAT = lang("descr_mddateformat");
  $DESCR_DATE_TIME_FORMAT = lang("descr_datetimeformat");
  $DESCR_DEFAULT_TIMEZONE = lang("descr_tz");
  $DESCR_TITLE = lang("descr_boardtitle");
  $DESCR_EMAIL_BOARD_ADMIN = lang("descr_boardadminmail");
  $DESCR_EMAIL_BOARD_MAILFROM = lang("descr_boardmailfrom");
  $DESCR_RESERVED_USERS = lang("descr_reservedusers");
  $DESCR_RESERVED_USERS_INFO = lang("descr_reservedusersinfo");
  
  $POLLS_HEADLINE = lang("hl_polls");
  $DESCR_POLLS = lang("descr_polls");
  $DESCR_MAX_POLLS = lang("descr_max_polls");
  $DESCR_MAX_POLLS_INFO = lang("descr_max_polls_info");
  $DESCR_MAX_POLLS_SUBINFO = lang("descr_max_polls_subinfo");
  $DESCR_EN_POLLS = lang("descr_en_polls");
  $DESCR_MOD_MINUTES = lang("descr_mod_minutes");
  $DESCR_MOD_MINUTES_INFO = lang("descr_mod_minutes_info");
  $DESCR_MOD_MINUTES_SUBINFO = lang("descr_mod_minutes_subinfo");
  $PMS_HEADLINE = lang("hl_pms");
  $DESCR_PMS = lang("descr_pms");
  $DESCR_EN_PMS = lang("descr_en_pms");
  $DESCR_MAX_PMS = lang("descr_max_pms");
  $DESCR_MAX_PMS_INFO = lang("descr_max_pms_info");
  $AVATAR_HEADLINE = lang("hl_avatar");
  $DESCR_DEFAULT_AVATAR = lang("descr_default_avatar");
  $DESCR_EN_DEFAULT_AVATAR = lang("descr_en_default_avatar");
  $DESCR_GRAVATAR = lang("descr_gravatar");
  $DESCR_EN_GRAVATAR = lang("descr_en_gravatar");
  
  $DESCR_ACTIVATION = lang("descr_activation");
  
  $ATTACHMENTS_HEADLINE = lang("hl_attachments");
  $DESCR_EN_ATTACHMENTS = lang("descr_en_attachments");
  $DESCR_YES = lang("yes");
  $DESCR_NO = lang("no");
  $DESCR_MAX_ATTACHMENT_SIZE = lang("descr_max_attachment_size");
  $DESCR_MAX_ATTACHMENT_SIZE_INFO = lang("descr_max_attachment_size_info");
  
  $DESCR_DESCR = lang("descr_boarddescr");
  $DESCR_DESCR_INFO = lang("descr_boarddescrinfo");
  
  $DESCR_EN_SEO = lang("descr_enseo");
  $DESCR_EN_SEO_INFO = lang("descr_enseoinfo");
  
  $DESCR_EN_REGISTERING = lang("descr_enreg");
  $DESCR_DIS_REGISTERING = lang("descr_disreg");
  $DESCR_EN_GUEST_VIEWING = lang("descr_enguestview");
  $DESCR_DIS_GUEST_VIEWING = lang("descr_disguestview");
  $DESCR_EN_AVATAR = lang("descr_enavatar");
  $DESCR_DIS_AVATAR = lang("descr_disavatar");
  
  $PATH_HEADLINE = lang("hl_path");
  $PATH_INFOS = lang("hl_path_infos");
  $DESCR_MAIN_SCRIPT = lang("descr_main_script");
  $DESCR_MAIN_PATH = lang("descr_main_path");

  $DESCR_RECAPTCHA_STYLE = lang("recaptcha_style");
  $DESCR_RECAPTCHA_GET_KEYS = lang("recaptcha_get_keys");
  $DESCR_SOCIALROW = lang("descr_socialrow");
  $DESCR_EN_SOCIALROW = lang("descr_en_socialrow");
  
  $DESCR_RATINGS = lang("descr_ratings");
  $DESCR_EN_LIKES = lang("descr_en_likes");
  $DESCR_EN_DISLIKES = lang("descr_en_dislikes");


  //SEO Links
  if ($main_path) {
    $this_main_path = preg_replace('/^\//',"",$main_path);
    $this_main_path = str_replace(array("-","."),array("\-","\."),$this_main_path) . "/";
  }
  $MOD_REWRITE = "RewriteRule ^" . $this_main_path . "sbbt([0-9]+)\-(.*)\.html\$\t$main_script?todo=viewtopic&amp;tid=\$1&amp;%{QUERY_STRING}
RewriteRule ^" . $this_main_path . "sbb\-admin\.html\$\t$main_script?todo=admin
RewriteRule ^" . $this_main_path . "sbb\-admin\-forums\.html\$\t$main_script?todo=adminforums
RewriteRule ^" . $this_main_path . "sbb\-edit\-account\.html\$\t$main_script?todo=edit_account
RewriteRule ^" . $this_main_path . "sbb\-users\.html\$\t$main_script?todo=showusers&amp;%{QUERY_STRING}
RewriteRule ^" . $this_main_path . "sbb\-login\.html\$\t$main_script?todo=login
RewriteRule ^" . $this_main_path . "sbb\-logout\.html\$\t$main_script?action=logout
RewriteRule ^" . $this_main_path . "sbb\-register\.html\$\t$main_script?todo=register
RewriteRule ^" . $this_main_path . "sbb\-add\-topic\.html\$\t$main_script?todo=add_topic&amp;%{QUERY_STRING}
RewriteRule ^" . $this_main_path . "sbb\-user([0-9]+)\-(.*)\.html\$\t$main_script?todo=showprofile&amp;uid=\$1
RewriteRule ^" . $this_main_path . "sbb\-reply([0-9]+)\.html\$\t$main_script?todo=add_topic&amp;tid=\$1&amp;%{QUERY_STRING}
RewriteRule ^" . $this_main_path . "sbb\-sendmail([0-9]+)\.html\$\t$main_script?todo=sendmail&amp;uid=\$1
RewriteRule ^" . $this_main_path . "sbb\-userposts([0-9]+)\.html\$\t$main_script?todo=search&amp;w=userposts&amp;uid=\$1&amp;%{QUERY_STRING}
RewriteRule ^" . $this_main_path . "sbb\-search\.html\$\t$main_script?todo=search&amp;w=str&amp;%{QUERY_STRING}
RewriteRule ^" . $this_main_path . "sbbf([0-9]+)\-(.*)\.html\$\t$main_script?todo=show_topics&amp;fid=\$1&amp;%{QUERY_STRING}
RewriteRule ^" . $this_main_path . "sbb\-admin\-users\.html\$\t$main_script?todo=adminusers
RewriteRule ^" . $this_main_path . "sbbdl([0-9]+)t([0-9]+)\.(.*)\t$main_path/$rel_path/d.php?id=\$1&amp;tid=\$2
RewriteRule ^" . $this_main_path . "sbbt([0-9]+)\.txt\t$main_path/$rel_path/txt.php?tid=\$1
RewriteRule ^" . $this_main_path . "sbbf([0-9]+)\.rss\t$main_path/$rel_path/rss.php?fid=\$1
RewriteRule ^" . $this_main_path . "sbb\-pm\.html\$\t$main_script?todo=showpms&amp;%{QUERY_STRING}
RewriteRule ^" . $this_main_path . "sbb\-sendpm([0-9]+)\.html\$\t$main_script?todo=sendpm&amp;uid=\$1&amp;%{QUERY_STRING}
RewriteRule ^" . $this_main_path . "sbb\-showpm([0-9]+)\.html\$\t$main_script?todo=showpm&amp;pmid=\$1
RewriteRule ^" . $this_main_path . "sbb\-admin\-userranks\.html\$\t$main_script?todo=adminuserranks";

  
  //The Form
  $FORM_OPTIONS_TEMPLATE = $template_options;
  $FORM_OPTIONS_LANG = $lang_options;
  if ($board_en_registering) $FORM_CHECKED_EN_REGISTERING = "checked='checked'";
  else $FORM_CHECKED_DIS_REGISTERING = "checked='checked'";
  if ($board_guest_viewing) $FORM_CHECKED_EN_GUEST_VIEWING = "checked='checked'";
  else $FORM_CHECKED_DIS_GUEST_VIEWING = "checked='checked'";
  if ($board_en_seo) $FORM_CHECKED_EN_SEO = "checked='checked'";
  if ($board_socialrow) $FORM_CHECKED_SOCIALROW = "checked='checked'";
  if ($board_en_likes) $FORM_CHECKED_LIKES = "checked='checked'";
  if ($board_en_dislikes) $FORM_CHECKED_DISLIKES = "checked='checked'";

  $FORM_VAL_TITLE = $board_title;
  $FORM_OPTIONS_CAP = $use_cap_options;
  $FORM_OPTIONS_RECAPTCHA_STYLE = $recaptcha_style_options;
  $FORM_VAL_RECAPTCHA_PUBKEY = $board_recaptcha_pubkey;
  $FORM_VAL_RECAPTCHA_PRIVKEY = $board_recaptcha_privkey;
  $FORM_VAL_TOPICS_PER_PAGE = $board_topics_per_page;
  $FORM_VAL_POSTS_PER_PAGE = $board_posts_per_page;
  $FORM_VAL_USERS_PER_PAGE = $board_users_per_page;
  $FORM_VAL_RESULTS_PER_PAGE = $board_results_per_page;
  if ($board_avatar) $FORM_CHECKED_EN_AVATAR = "checked='checked'";
  else $FORM_CHECKED_DIS_AVATAR = "checked='checked'";
  $FORM_VAL_MAX_IMG_WIDTH = $board_max_img_width;
  $FORM_VAL_AVATAR_WIDTH = $board_avatar_width;
  $FORM_VAL_AVATAR_HEIGHT = $board_avatar_height;
  if ($board_en_user_mess) $FORM_CHECKED_EN_USER_MESS = "checked='checked'";
  if ($board_en_board_notification) $FORM_CHECKED_EN_BOARD_NOTIIFICATION = "checked='checked'";
  $FORM_VAL_EMAIL_BOARD_MAILFROM = $board_email_board_mailfrom;
  $FORM_VAL_EMAIL_BOARD_ADMIN = $board_email_board_admin;
  $FORM_VAL_DATE_FORMAT = $board_date_format;
  $FORM_VAL_DATE_MD_FORMAT = $board_date_md_format;
  $FORM_VAL_DATE_TIME_FORMAT = $board_date_time_format;
  $FORM_OPTIONS_TIMEZONE = $timezone_options;
  $FORM_VAL_RESERVED_USERS = $board_reserved_users;
  $FORM_VAL_DESCR = $board_descr;
  $FORM_OPTIONS_ACTIVATION = $activation_options;
  
  $FORM_VAL_MAX_ATTACHMENT_SIZE = $board_max_attachment_size;
  if ($board_en_attachments) $FORM_CHECKED_EN_ATTACHMENTS = "checked='checked'";
  else $FORM_CHECKED_DIS_ATTACHMENTS = "checked='checked'";
  
  $FORM_VAL_MOD_MINUTES = $board_mod_minutes;
  if ($board_en_polls) $FORM_CHECKED_EN_POLLS = "checked='checked'";
  $FORM_VAL_MAX_POLL_OPTIONS = $board_max_poll_options;
  if ($board_en_pms) $FORM_CHECKED_EN_PMS = "checked='checked'";
  $FORM_VAL_MAX_PMS = $board_max_pms;
  if ($board_default_avatar) $FORM_CHECKED_DEFAULT_AVATAR = "checked='checked'";
  if ($board_en_gravatar) $FORM_CHECKED_GRAVATAR = "checked='checked'";
  
  $FORM_VAL_MAIN_SCRIPT = $board_main_script;
  $FORM_VAL_MAIN_PATH = $board_main_path;
  
  /************
   * initiate template and assign variables
   ************/         

  $adminVARS = array('TABLE_HEADLINE' => $TABLE_HEADLINE,
                    'DESCR_SUBMIT' => $DESCR_SUBMIT,
                    'GENERAL_HEADLINE' => $GENERAL_HEADLINE,
                    'IMAGE_HEADLINE' => $IMAGE_HEADLINE,
                    'MESSAGING_HEADLINE' => $MESSAGING_HEADLINE,
                    'TIME_HEADLINE' => $TIME_HEADLINE,
                    'FORUMS_HEADLINE' => $FORUMS_HEADLINE,
                    'LINK_FORUMS' => $LINK_FORUMS,
                    'USERS_HEADLINE' => $USERS_HEADLINE,
                    'LINK_USERS' => $LINK_USERS,
                    'LINK_BOARD' => $LINK_BOARD,
                    'DESCR_TEMPLATE' => $DESCR_TEMPLATE,
                    'DESCR_REGISTERING' => $DESCR_REGISTERING,
                    'DESCR_EN_USER_MESS' => $DESCR_EN_USER_MESS,
                    'DESCR_EN_BOARD_NOTIIFICATION' => $DESCR_EN_BOARD_NOTIIFICATION,
                    'DESCR_GUEST_VIEWING' => $DESCR_GUEST_VIEWING,
                    'DESCR_EN_SEO' => $DESCR_EN_SEO,
                    'DESCR_MAX_IMG_WIDTH' => $DESCR_MAX_IMG_WIDTH,
                    'DESCR_USE_CAPTCHA' => $DESCR_USE_CAPTCHA,
                    'DESCR_USE_CAP' => $DESCR_USE_CAP,
                    'DESCR_TOPICS_PER_PAGE' => $DESCR_TOPICS_PER_PAGE,
                    'DESCR_POSTS_PER_PAGE' => $DESCR_POSTS_PER_PAGE,
                    'DESCR_USERS_PER_PAGE' => $DESCR_USERS_PER_PAGE,
                    'DESCR_RESULTS_PER_PAGE' => $DESCR_RESULTS_PER_PAGE,
                    'DESCR_LANG' => $DESCR_LANG,
                    'DESCR_AVATAR_DIMENSIONS' => $DESCR_AVATAR_DIMENSIONS,
                    'DESCR_DATE_FORMAT' => $DESCR_DATE_FORMAT,
                    'DESCR_DATE_MD_FORMAT' => $DESCR_DATE_MD_FORMAT,
                    'DESCR_DATE_TIME_FORMAT' => $DESCR_DATE_TIME_FORMAT,
                    'DESCR_DEFAULT_TIMEZONE' => $DESCR_DEFAULT_TIMEZONE,
                    'DESCR_TITLE' => $DESCR_TITLE,
                    'DESCR_EMAIL_BOARD_ADMIN' => $DESCR_EMAIL_BOARD_ADMIN,
                    'DESCR_EMAIL_BOARD_MAILFROM' => $DESCR_EMAIL_BOARD_MAILFROM,
                    'DESCR_EN_SEO_INFO' => $DESCR_EN_SEO_INFO,
                    'DESCR_SEO_INFO' => $DESCR_SEO_INFO,
                    'DESCR_SEO' => $DESCR_SEO,
                    'DESCR_PER_PAGE_INFO' => $DESCR_PER_PAGE_INFO,
                    'DESCR_MAX_IMG_WIDTH_INFO' => $DESCR_MAX_IMG_WIDTH_INFO,
                    'DESCR_EN_REGISTERING' => $DESCR_EN_REGISTERING,
                    'DESCR_DIS_REGISTERING' => $DESCR_DIS_REGISTERING,
                    'DESCR_EN_GUEST_VIEWING' => $DESCR_EN_GUEST_VIEWING,
                    'DESCR_DIS_GUEST_VIEWING' => $DESCR_DIS_GUEST_VIEWING,
                    'DESCR_USER_MESS' => $DESCR_USER_MESS,
                    'DESCR_BOARD_NOTIIFICATION' => $DESCR_BOARD_NOTIIFICATION,
                    'DESCR_RESERVED_USERS' => $DESCR_RESERVED_USERS,
                    'DESCR_RESERVED_USERS_INFO' => $DESCR_RESERVED_USERS_INFO,
                    'DESCR_DESCR' => $DESCR_DESCR,
                    'DESCR_DESCR_INFO' => $DESCR_DESCR_INFO,
                    'DESCR_POLLS' => $DESCR_POLLS,
                    'DESCR_EN_POLLS' => $DESCR_EN_POLLS,
                    'POLLS_HEADLINE' => $POLLS_HEADLINE,
                    'DESCR_MAX_POLLS' => $DESCR_MAX_POLLS,
                    'DESCR_MAX_POLLS_INFO' => $DESCR_MAX_POLLS_INFO,
                    'DESCR_MAX_POLLS_SUBINFO' => $DESCR_MAX_POLLS_SUBINFO,
                    'DESCR_MOD_MINUTES' => $DESCR_MOD_MINUTES,
                    'DESCR_MOD_MINUTES_INFO' => $DESCR_MOD_MINUTES_INFO,
                    'PMS_HEADLINE' => $PMS_HEADLINE,
                    'DESCR_PMS' => $DESCR_PMS,
                    'DESCR_EN_PMS' => $DESCR_EN_PMS,
                    'DESCR_MAX_PMS' => $DESCR_MAX_PMS,
                    'DESCR_MAX_PMS_INFO' => $DESCR_MAX_PMS_INFO,
                    'AVATAR_HEADLINE' => $AVATAR_HEADLINE,
                    'DESCR_DEFAULT_AVATAR' => $DESCR_DEFAULT_AVATAR,
                    'DESCR_EN_DEFAULT_AVATAR' => $DESCR_EN_DEFAULT_AVATAR,
                    'DESCR_GRAVATAR' => $DESCR_GRAVATAR,
                    'DESCR_EN_GRAVATAR' => $DESCR_EN_GRAVATAR,
                    'DESCR_MOD_MINUTES_SUBINFO' => $DESCR_MOD_MINUTES_SUBINFO,
                    'DESCR_ACTIVATION' => $DESCR_ACTIVATION,
                    'LINK_USERRANKS' => $LINK_USERRANKS,
                    'USERRANKS_HEADLINE' => $USERRANKS_HEADLINE,
                    'FORM_OPTIONS_TEMPLATE' => $FORM_OPTIONS_TEMPLATE,
                    'FORM_CHECKED_EN_REGISTERING' => $FORM_CHECKED_EN_REGISTERING,
                    'FORM_CHECKED_DIS_REGISTERING' => $FORM_CHECKED_DIS_REGISTERING,
                    'FORM_CHECKED_EN_GUEST_VIEWING' => $FORM_CHECKED_EN_GUEST_VIEWING,
                    'FORM_CHECKED_DIS_GUEST_VIEWING' => $FORM_CHECKED_DIS_GUEST_VIEWING,
                    'FORM_VAL_TITLE' => $FORM_VAL_TITLE,
                    'FORM_OPTIONS_CAP' => $FORM_OPTIONS_CAP,
                    'MOD_REWRITE' => $MOD_REWRITE,
                    'FORM_OPTIONS_LANG' => $FORM_OPTIONS_LANG,
                    'FORM_VAL_TOPICS_PER_PAGE' => $FORM_VAL_TOPICS_PER_PAGE,
                    'FORM_VAL_POSTS_PER_PAGE' => $FORM_VAL_POSTS_PER_PAGE,
                    'FORM_VAL_USERS_PER_PAGE' => $FORM_VAL_USERS_PER_PAGE,
                    'FORM_VAL_RESULTS_PER_PAGE' => $FORM_VAL_RESULTS_PER_PAGE,
                    'FORM_VAL_MAX_IMG_WIDTH' => $FORM_VAL_MAX_IMG_WIDTH,
                    'FORM_VAL_AVATAR_WIDTH' => $FORM_VAL_AVATAR_WIDTH,
                    'FORM_VAL_AVATAR_HEIGHT' => $FORM_VAL_AVATAR_HEIGHT,
                    'FORM_CHECKED_EN_SEO' => $FORM_CHECKED_EN_SEO,
                    'FORM_CHECKED_EN_USER_MESS' => $FORM_CHECKED_EN_USER_MESS,
                    'FORM_CHECKED_EN_BOARD_NOTIIFICATION' => $FORM_CHECKED_EN_BOARD_NOTIIFICATION,
                    'FORM_VAL_EMAIL_BOARD_MAILFROM' => $FORM_VAL_EMAIL_BOARD_MAILFROM,
                    'FORM_VAL_EMAIL_BOARD_ADMIN' => $FORM_VAL_EMAIL_BOARD_ADMIN,
                    'FORM_VAL_DATE_FORMAT' => $FORM_VAL_DATE_FORMAT,
                    'FORM_VAL_DATE_MD_FORMAT' => $FORM_VAL_DATE_MD_FORMAT,
                    'FORM_VAL_DATE_TIME_FORMAT' => $FORM_VAL_DATE_TIME_FORMAT,
                    'FORM_OPTIONS_TIMEZONE' => $FORM_OPTIONS_TIMEZONE,
                    'FORM_VAL_RESERVED_USERS' => $FORM_VAL_RESERVED_USERS,
                    'FORM_VAL_DESCR' => $FORM_VAL_DESCR,
                    'FORM_CHECKED_EN_AVATAR' => $FORM_CHECKED_EN_AVATAR,
                    'FORM_CHECKED_DIS_AVATAR' => $FORM_CHECKED_DIS_AVATAR,
                    'DESCR_AVATARS' => $DESCR_AVATARS,
                    'DESCR_EN_AVATAR' => $DESCR_EN_AVATAR,
                    'DESCR_DIS_AVATAR' => $DESCR_DIS_AVATAR,
                    'FORM_VAL_MOD_MINUTES' => $FORM_VAL_MOD_MINUTES,
                    'FORM_CHECKED_EN_POLLS' => $FORM_CHECKED_EN_POLLS,
                    'FORM_CHECKED_EN_PMS' => $FORM_CHECKED_EN_PMS,
                    'FORM_VAL_MAX_PMS' => $FORM_VAL_MAX_PMS,
                    'FORM_CHECKED_DEFAULT_AVATAR' => $FORM_CHECKED_DEFAULT_AVATAR,
                    'FORM_CHECKED_GRAVATAR' => $FORM_CHECKED_GRAVATAR,
                    'FORM_VAL_MAX_POLL_OPTIONS' => $FORM_VAL_MAX_POLL_OPTIONS,
                    'FORM_OPTIONS_ACTIVATION' => $FORM_OPTIONS_ACTIVATION,
                    'PATH_HEADLINE' => $PATH_HEADLINE,
                    'PATH_INFOS' => $PATH_INFOS,
                    'DESCR_MAIN_SCRIPT' => $DESCR_MAIN_SCRIPT,
                    'DESCR_MAIN_PATH' => $DESCR_MAIN_PATH,
                    'FORM_VAL_MAIN_SCRIPT' => $FORM_VAL_MAIN_SCRIPT,
                    'FORM_VAL_MAIN_PATH' => $FORM_VAL_MAIN_PATH,
                    'REGISTER_INTRO_TEXT' => $REGISTER_INTRO_TEXT,
                    'TABLE_HEADLINE' => $TABLE_HEADLINE,
                    'LOGIN_FORM' => $LOGIN_FORM,
                    'DESCR_PASS' => $DESCR_PASS,
                    'DESCR_PASSCONF' => $DESCR_PASSCONF,
                    'DESCR_SETTINGS' => $DESCR_SETTINGS,
                    'DESCR_FUSERMAIL' => $DESCR_FUSERMAIL,
                    'DESCR_FFORUMMAIL' => $DESCR_FFORUMMAIL,
                    'DESCR_SUBMIT' => $DESCR_SUBMIT,
                    'DESCR_CAPTCHA' => $DESCR_CAPTCHA,
                    'DESCR_CAPTCHAINFOS' => $DESCR_CAPTCHAINFOS,
                    'DESCR_CAPTCHACODE' => $DESCR_CAPTCHACODE,
                    'DESCR_RECAPTCHA_STYLE' => $DESCR_RECAPTCHA_STYLE,
                    'DESCR_RECAPTCHA_GET_KEYS' => $DESCR_RECAPTCHA_GET_KEYS,
                    'FORM_OPTIONS_RECAPTCHA_STYLE' => $FORM_OPTIONS_RECAPTCHA_STYLE,
                    'FORM_VAL_RECAPTCHA_PRIVKEY' => $FORM_VAL_RECAPTCHA_PRIVKEY,
                    'FORM_VAL_RECAPTCHA_PUBKEY' => $FORM_VAL_RECAPTCHA_PUBKEY,
                    'DESCR_SOCIALROW' => $DESCR_SOCIALROW,
                    'DESCR_EN_SOCIALROW' => $DESCR_EN_SOCIALROW,
                    'FORM_CHECKED_SOCIALROW' => $FORM_CHECKED_SOCIALROW,
                    'DESCR_SIGNATURE' => $DESCR_SIGNATURE,
                    'DESCR_AVATAR' => $DESCR_AVATAR,
                    'DESCR_AVATARINFOS' => $DESCR_AVATARINFOS,
                    'DESCR_DELAVATAR' => $DESCR_DELAVATAR,
                    'IMG_RELOADTITLE' => $IMG_RELOADTITLE,
                    'FORM_VAL_FUSER' => $FORM_VAL_FUSER,
                    'FORM_VAL_FEMAIL' => $FORM_VAL_FEMAIL,
                    'FORM_CHECKED_FUSERMAIL' => $FORM_CHECKED_FUSERMAIL,
                    'FORM_CHECKED_FFORUMMAIL' => $FORM_CHECKED_FFORUMMAIL,
                    'FORM_VAL_SID' => $FORM_VAL_SID,
                    'FORM_VAL_SIGNATURE' => $FORM_VAL_SIGNATURE,
                    'FORM_CHECKED_DELAVATAR' => $FORM_CHECKED_DELAVATAR,
                    'IMG_AVATAR_SRC' => $IMG_AVATAR_SRC,
                    'FORM_VAL_MAX_ATTACHMENT_SIZE' => $FORM_VAL_MAX_ATTACHMENT_SIZE,
                    'ATTACHMENTS_HEADLINE' => $ATTACHMENTS_HEADLINE,
                    'FORM_CHECKED_EN_ATTACHMENTS' => $FORM_CHECKED_EN_ATTACHMENTS,
                    'FORM_CHECKED_EN_ATTACHMENTS' => $FORM_CHECKED_EN_ATTACHMENTS,
                    'DESCR_EN_ATTACHMENTS' => $DESCR_EN_ATTACHMENTS,
                    'DESCR_YES' => $DESCR_YES,
                    'DESCR_NO' => $DESCR_NO,
                    'DESCR_MAX_ATTACHMENT_SIZE' => $DESCR_MAX_ATTACHMENT_SIZE,
                    'DESCR_MAX_ATTACHMENT_SIZE_INFO' => $DESCR_MAX_ATTACHMENT_SIZE_INFO,
                    'FORM_CHECKED_DIS_ATTACHMENTS' => $FORM_CHECKED_DIS_ATTACHMENTS,
                    'DESCR_RATINGS' => $DESCR_RATINGS,
                    'DESCR_EN_LIKES' => $DESCR_EN_LIKES,
                    'DESCR_EN_DISLIKES' => $DESCR_EN_DISLIKES,
                    'FORM_CHECKED_LIKES' => $FORM_CHECKED_LIKES,
                    'FORM_CHECKED_DISLIKES' => $FORM_CHECKED_DISLIKES,

                    "CONF" => $GLOBAL_TEMPLATE_VARS
                    );

  $QuickSkin = new QuickSkin("admin.html");
  $QuickSkin->assign($adminVARS);
  $content .= $QuickSkin->result();
  unset($QuickSkin);


      

?>